import 'package:flutter/material.dart';
import 'package:transparent_image/transparent_image.dart';

class RouteViewListing extends StatefulWidget {
  @override
  _RouteViewListingState createState() => _RouteViewListingState();
}

class _RouteViewListingState extends State<RouteViewListing> {
  @override
  Widget build(BuildContext context) {
    final String id = ModalRoute.of(context).settings.arguments;
    return Scaffold(
      body: NestedScrollView(
        headerSliverBuilder: (context, innerBoxIsScrolled) => [
          SliverOverlapAbsorber(
            sliver: SliverSafeArea(
              top: false,
              sliver: SliverAppBar(
                title: Text("View listing"),
                pinned: true,
                flexibleSpace: FadeInImage.memoryNetwork(
                  placeholder: kTransparentImage,
                  image: 'https://lynnesbian.space/res/ceres/lesbun_full.jpg',
                  fit: BoxFit.cover,
                ),
                expandedHeight: 200,
                automaticallyImplyLeading: false, // remove the useless back button
              ),
            ),
            handle: NestedScrollView.sliverOverlapAbsorberHandleFor(context),
          ),
        ],
        body: ListView(
          children: [
            ListTile(
              title: Text("ID"),
              trailing: Text(id),
            ),
            Divider(),
            ListTile(
              title: Text("Price"),
              trailing: Text("¥12345")
            )
          ],
        )
      )
    );
  }
}
